#!/usr/bin/env bash

[[ `ps aux | grep "./VerthashMiner" | grep -v "h-umount_tmpfs.sh" | grep -v "grep" | wc -l` != 0 ]] &&
  echo -e "${RED}$MINER_NAME miner is already running${NOCOLOR}" &&
  exit 1

. h-manifest.conf

MINER_LOG_BASEDIR=`dirname "$MINER_LOG_BASENAME"`
[[ ! -d $MINER_LOG_BASEDIR ]] && mkdir -p $MINER_LOG_BASEDIR

cd $MINER_DIR/$MINER_VER
if [[ ! -f $MINER_DIR/$MINER_VER/verthash.dat ]]; then
  wd delay 1800
  ./VerthashMiner --gen-verthash-data $MINER_DIR/$MINER_VER/verthash.dat
  wd restart
fi

./VerthashMiner `cat miner.conf` 2>&1 | tee $MINER_LOG_BASENAME.log
